plist-cil 1.13.0.0 1.14.0.0 Claunia.PropertyList.NSObject System.Collections.Generic.ICollection<System.Collections.Generic.KeyValuePair<System.String,Claunia.PropertyList.NSObject>> System.Collections.Generic.IDictionary<System.String,Claunia.PropertyList.NSObject> System.Collections.Generic.IEnumerable<System.Collections.Generic.KeyValuePair<System.String,Claunia.PropertyList.NSObject>>

A NSDictionary is a collection of keys and values, essentially a Dictionary. The keys are simple Strings whereas the values can be any kind of NSObject.

You can access the keys through the function .

Access to the objects stored for each key is given through the function .

To be added.
- Constructor
  1.13.0.0
  1.14.0.0
  Creates a new empty NSDictionary.
  To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` Item. Adds the specified item. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` `` Key. Value. Add the specified key and value. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` `` The key. The value. Puts a new key-value pair into this dictionary. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` `` The key. The value. Puts a new key-value pair into this dictionary. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` `` The key. The value. Puts a new key-value pair into this dictionary. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` `` The key. The value. Supported object types are numbers, byte-arrays, dates, strings and arrays or sets of those. Puts a new key-value pair into this dictionary. If the value is null, no operation will be performed on the dictionary. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void Clears this instance. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` Item. Checks if the current instance contains the specified item. true if it is found, false otherwise. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` Key. Checks if the specified object key is contained in the current instance. true, if key is contained, false otherwise. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` Key. Checks if there is any item contained in the current instance corresponding with the specified key. true, if key was contained, false otherwise. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` Key. Checks if there is any item contained in the current instance corresponding with the specified value. true, if value is contained, false otherwise. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The value that will be searched for. Checks whether a given value is contained in this dictionary. Whether the key is contained in this dictionary. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The value that will be searched for. Checks whether a given value is contained in this dictionary. Whether the key is contained in this dictionary. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The value that will be searched for. Checks whether a given value is contained in this dictionary. Whether the key is contained in this dictionary. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The value that will be searched for. Checks whether a given value is contained in this dictionary. Whether the key is contained in this dictionary. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The value that will be searched for. Checks whether a given value is contained in this dictionary. Whether the key is contained in this dictionary. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` Object to search up in the current instance. Checks if the current instance contains the object corresponding to the specified key. true, if value is contained, false otherwise. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The value that will be searched for. Checks whether a given value is contained in this dictionary. Whether the key is contained in this dictionary. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` `` The one-dimensional that is the destination of the elements copied from . The must have zero-based indexing. The zero-based index in array at which copying begins. Copies the elements to an existing one-dimensional , starting at the specified array index. To be added.
- Property
  1.13.0.0
  1.14.0.0
  System.Int32 Gets the count of items in the current instance. How many items are contained in the current instance. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` The to compare with the current . Determines whether the specified is equal to the current . true if the specified is equal to the current ; otherwise, false. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject `` Key. Gets the corresponding to the specified key from the current instance. The object corresponding to the specified key, null if not found in the current instance. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Collections.Generic.Dictionary<System.String,Claunia.PropertyList.NSObject> Gets the hashmap which stores the keys and values of this dictionary. Changes to the hashmap's contents are directly reflected in this dictionary. The hashmap which is used by this dictionary to store its contents. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Collections.Generic.IEnumerator<System.Collections.Generic.KeyValuePair<System.String,Claunia.PropertyList.NSObject>> Gets the enumerator. The enumerator. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Int32 Serves as a hash function for a object. A hash code for this instance that is suitable for use in hashing algorithms and data structures such as a hash table. To be added.
- Property
  1.13.0.0
  1.14.0.0
  System.Boolean Gets a value indicating whether this instance is empty. true if this instance is empty; otherwise, false. To be added.
- Property
  1.13.0.0
  1.14.0.0
  System.Boolean Gets a value indicating whether this instance is read only. true if this instance is read only; otherwise, false. To be added.
- Property
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject `` Index. Gets or sets the at the specified index. To be added. To be added.
- Property
  1.13.0.0
  1.14.0.0
  System.Collections.Generic.ICollection<System.String> Gets an array with all the keys contained in the current instance. The keys. To be added.
- Method
  1.13.0.0
  1.14.0.0
  Claunia.PropertyList.NSObject `` The key. Gets the NSObject stored for the given key. The object. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` Item to remove. Removes the specified item. true if successfully removed, false if not, or if item is not in current instance. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` Key. Removes the item corresponding to the specified key from the current instance, if found. true, if removed, false otherwise. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` Key. Removes the item belonging to the specified key. To be added. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Collections.IEnumerator To be added. To be added. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.String Generates a valid ASCII property list which has this NSDictionary as its root object. The generated property list complies with the format as described in https://developer.apple.com/library/mac/#documentation/Cocoa/Conceptual/PropertyLists/OldStylePlists/OldStylePLists.html Property List Programming Guide - Old-Style ASCII Property Lists. ASCII representation of this object. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.String Generates a valid ASCII property list in GnuStep format which has this NSDictionary as its root object. The generated property list complies with the format as described in http://www.gnustep.org/resources/documentation/Developer/Base/Reference/NSPropertyList.html GnuStep - NSPropertyListSerialization class documentation. GnuStep ASCII representation of this object. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Boolean `` `` Key. Where to store the value. Tries to get the item corresponding to the specified key true, if get value was successfully found and retrieved, false otherwise. To be added.
- Property
  1.13.0.0
  1.14.0.0
  System.Collections.Generic.ICollection<Claunia.PropertyList.NSObject> Gets an array with all the objects contained in the current instance. The objects. To be added.